For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
      • GETGet Site Activity Logs
LogoLogo
Resources
Get started
EnterpriseSite Activity Logs

Get Site Activity Logs

GET
https://api.webflow.com/v2/sites/:site_id/activity_logs
GET
/v2/sites/:site_id/activity_logs
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/activity_logs \
> -H "Authorization: Bearer <token>" \
> -d limit=100 \
> -d offset=0
1{
2 "items": [
3 {
4 "id": "654c16c7b229e56bcf26872d",
5 "createdOn": "2023-11-08T23:16:23.496Z",
6 "lastUpdated": "2023-11-08T23:16:23.496Z",
7 "event": "cms_collection",
8 "resourceOperation": "CREATED",
9 "user": {
10 "id": "6509cd56e90eec668b009712",
11 "displayName": "John Doe"
12 },
13 "resourceId": "654c16c7b229e56bcf26870c",
14 "resourceName": "foo-bar",
15 "newValue": null,
16 "previousValue": null,
17 "payload": null
18 }
19 ],
20 "pagination": {
21 "limit": 25,
22 "offset": 0,
23 "total": 1
24 }
25}
Retrieve Activity Logs for a specific Site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `site_activity:read`
Was this page helpful?
Previous

Get 301 redirects

Next
Built with

Retrieve Activity Logs for a specific Site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: site_activity:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

A list of site activity logs
itemslist of objects
paginationobject
Pagination object

Errors

403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error